body
{
    background-color: #3e3e3e;
    font-family: "Roboto Condensed", sans-serif;
}

*
{
    box-sizing: border-box;
}

footer
{
    background-color: #1a1a1a;
    color: #ccc;
    max-width: 980px;
    width: 100%;
    padding: 10px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 0;
    text-align: center;
}

h1
{
    font-size: 36px;
    text-align: center;
}

header
{
    background-color: #2f2f2f;
    width: 100%;
    max-width: 980px;
    padding: 10px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0;    
}

h1 a
{
    color: #ffda27;
    text-decoration: none;
}

h1 a:visited
{
    color: #ffda27;
    text-decoration: none;
}

nav
{
    background-color: #2f2f2f;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
}

.menu
{
    list-style-type: none;
    padding: 0px;
    font-size: 18px;
    min-height: 40px;
    line-height: 200%;
}

.menu > li
{
    display: inline-block;
    padding-left: 20px;
    padding-right: 20px;
    border-right: 2px dashed #3e3e3e;
}

.menu > li:first-child
{
    border-left: 2px dashed #3e3e3e;
}

.menu > li > a
{
    color: #fff;
    text-decoration: none;
}

.menu > li > a:visited
{
    color: #fff;
    text-decoration: none;
}

.menu > li > a:hover
{
    color: #ffda27;
}

h2
{
    color: #ffda27;
    font-size: 28px;
    text-align: center;
    letter-spacing: 2px;
    text-transform: uppercase;
}

#hero
{
    max-width: 980px;
    width: 100%;
    padding: 10px;
    text-align: center;
    background-color: #1a1a1a;
    margin-left: auto;
    margin-right: auto;
    color: #fff;
}

#contact-form
{
    max-width: 980px;
    width: 100%;
    padding: 10px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    background-color: #2f2f2f;
}

.form-field label
{
    display: block;
    font-size: 18px;
    color: #fff;
    margin-top: 15px;
}

.package-field label
{
    display: block;
    font-size: 18px;
    color: #fff;
    margin-top: 15px;
}

.form-field input
{
    max-width: 600px;
    width: 100%;
    padding: 10px;
    font-size: 16px;
    text-align: center;
    border-radius: 10px;
    border: 2px solid #ffda27;
    background-color: #1a1a1a;
    color: #fff;
}

.form-field textarea
{
    max-width: 600px;
    width: 100%;
    padding: 10px;
    font-size: 16px;
    text-align: center;
    resize: none;
    border-radius: 10px;
    border: 2px solid #ffda27;
    background-color: #1a1a1a;
    color: #fff;
    margin-top: 3px;
}

.package-field select
{
    max-width: 600px;
    width: 100%;
    padding: 10px;
    text-align: center;
    border: 2px solid #ffda27;
    background-color: #1a1a1a;
    color: #fff;
    font-size: 16px;
    border-radius: 10px;
    margin-top: 3px;
}

button
{
    max-width: 600px;
    width: 100%;
    padding: 10px;
    text-align: center;
    border: 2px solid #ffda27;
    background-color: #1a1a1a;
    color: #fff;
    font-size: 16px;
    border-radius: 10px;
    margin-top: 15px;
    transition: ease 0.3s;
}

button:hover
{
    cursor: pointer;
    border: 2px solid #1a1a1a;
    background-color: #ffda27;
    color: #1a1a1a;
}

@media (max-width: 768px) 
{
  .menu 
  {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.5rem; /* mniejszy odstęp */
    padding: 0;
    margin: 0;
  }

  .menu li 
  {
    list-style: none;  /* usuwa kreski */
    width: 100%;
    text-align: center;
    margin: 0;          /* usuwa dodatkowe marginesy */
    border-left: none;
    border-right: none;
    gap: 0.5rem;
  }
  .menu li:first-child 
  {
    border-left: none;
  }

  .menu li a 
  {
    display: inline-block;
    padding: 8px 0;
    font-size: 16px;
  }
}